<ion-content  style="background-repeat: no-repeat;
background-size: 100% 100%;
background-image:url('./assets/imgs/background.png');">
    
<div class="close-btn" (click)=back()>X</div>
  
    <ion-row>
      
      <ion-col col-12 text-center>
        <img class="img" src="./assets/imgs/quickx.png">
      </ion-col>
      
    </ion-row>
    <ion-row>
      <ion-col col-12 text-center style="color: #fff; margin-top:5%;">
        <h4 style="font-family: Poppins">Confirm Pin</h4>
      </ion-col>
    </ion-row>
    <div>
    <ion-row  style="height:38px;">
  
      <div *ngFor="let item of password2" >
        <ion-col col-2 text-center style="padding:0px 5px; ">
          <div class="fill" [ngStyle]="{'background-color':item ? 'white' : ''}"></div>
        </ion-col>
      </div>
    
    </ion-row>
  </div>
    <ion-row >
     
        
      <div *ngFor="let item of lines" style="text-align: center; ">
        <ion-col col-2 >
          <div  style="color:#fff; width: 17px; height: 17px;margin: 0 8px; text-align: center">{{item}}</div>
        </ion-col>
      </div>
      
      
      
    </ion-row>
  
  
    <ion-row>
     
      <ion-col col-12 text-center style="color: lightgray; padding:0px;">
        
      </ion-col>
      <ion-col col-3>
  
      </ion-col>
    </ion-row>
  
  </ion-content>
  <ion-footer>
  
    <div *ngFor="let item of numbers">
      <div col-4 class="num-keypad" (click)="number(item)" style="float: left;">
        <span>{{item}}</span>
      </div>
    </div>
    <div *ngFor="let item of numbers1">
      <div col-4 class="num-keypad" (click)="number(item)" style="float:left;">
        <span>{{item}}</span>
      </div>
    </div>
    <div *ngFor="let item of numbers2">
      <div col-4 class="num-keypad" (click)="number(item)" style="float:left;">
        <span>{{item}}</span>
      </div>
    </div>
    <div>
      <div col-4 class="num-keypad" style="float:left;">
        <span>&nbsp;</span>
      </div>
    </div>
    <div>
      <div col-4 class="num-keypad" (click)="number('0')" style="float:left;">
        <span>0</span>
      </div>
    </div>
    <div col-4 class="num-keypad" style="float:left;" (click)="cancel()">
      <span  text-center>
        <ion-icon name="arrow-back" ></ion-icon>
      </span>
    </div>
  
  
  
  </ion-footer>